This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1471481 - [abrt] gnome-music: _get_random_iter(): player.py:410:_get_random_iter:AttributeError: 'NoneType' object has no attribute 'get_iter_first'
[abrt] gnome-music: _get_random_iter(): player.py:410:_get_random_iter:Attrib...
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-music (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: gnome-sig
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3a0819a57ab7e5512de573f818c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-16 06:35 EDT by daniele.marsella95
Modified: 2017-08-23 04:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (830 bytes, text/plain)
2017-07-16 06:35 EDT, daniele.marsella95
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-16 06:35 EDT, daniele.marsella95
no flags Details
File: cpuinfo (1.21 KB, text/plain)
2017-07-16 06:35 EDT, daniele.marsella95
no flags Details
File: environ (1.42 KB, text/plain)
2017-07-16 06:35 EDT, daniele.marsella95
no flags Details
File: mountinfo (3.67 KB, text/plain)
2017-07-16 06:35 EDT, daniele.marsella95
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-16 06:35 EDT, daniele.marsella95
no flags Details
File: open_fds (3.53 KB, text/plain)
2017-07-16 06:35 EDT, daniele.marsella95
no flags Details

  None (edit)
Description daniele.marsella95 2017-07-16 06:35:18 EDT
Version-Release number of selected component:
gnome-music-3.24.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        python3 /usr/bin/gnome-music
crash_function: _get_random_iter
exception_type: AttributeError
executable:     /usr/bin/gnome-music
kernel:         4.11.9-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
player.py:410:_get_random_iter:AttributeError: 'NoneType' object has no attribute 'get_iter_first'

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/gnomemusic/player.py", line 245, in _on_repeat_setting_changed
    self._validate_next_track()
  File "/usr/lib/python3.6/site-packages/gnomemusic/player.py", line 637, in _validate_next_track
    track = self._get_next_track()
  File "/usr/lib/python3.6/site-packages/gnomemusic/player.py", line 450, in _get_next_track
    nextTrack = self._get_random_iter(currentTrack)
  File "/usr/lib/python3.6/site-packages/gnomemusic/player.py", line 410, in _get_random_iter
    first_iter = self.playlist.get_iter_first()
AttributeError: 'NoneType' object has no attribute 'get_iter_first'

Local variables in innermost frame:
currentTrack: None
self: <Player>
Comment 1 daniele.marsella95 2017-07-16 06:35:24 EDT
Created attachment 1299287 [details]
File: backtrace
Comment 2 daniele.marsella95 2017-07-16 06:35:26 EDT
Created attachment 1299288 [details]
File: cgroup
Comment 3 daniele.marsella95 2017-07-16 06:35:27 EDT
Created attachment 1299289 [details]
File: cpuinfo
Comment 4 daniele.marsella95 2017-07-16 06:35:29 EDT
Created attachment 1299290 [details]
File: environ
Comment 5 daniele.marsella95 2017-07-16 06:35:31 EDT
Created attachment 1299291 [details]
File: mountinfo
Comment 6 daniele.marsella95 2017-07-16 06:35:32 EDT
Created attachment 1299292 [details]
File: namespaces
Comment 7 daniele.marsella95 2017-07-16 06:35:35 EDT
Created attachment 1299293 [details]
File: open_fds
Comment 8 Yajo 2017-08-23 04:08:24 EDT
Similar problem has been detected:

Just opened it.

reporter:       libreport-2.9.1
cmdline:        python3 /usr/bin/gnome-music
crash_function: _get_random_iter
exception_type: AttributeError
executable:     /usr/bin/gnome-music
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-music-3.24.2-1.fc26
reason:         player.py:410:_get_random_iter:AttributeError: 'NoneType' object has no attribute 'get_iter_first'
runlevel:       N 5
type:           Python3
uid:            1000

Note You need to log in before you can comment on or make changes to this bug.